﻿<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>
    <link rel="stylesheet" href="../css/interface.css" />
    <link rel="stylesheet" href="../css/lib/wenk.css" />


    <script src="../js/angular.min.js" type="text/javascript"></script>
    <script src="../js/angular-animate.min.js" type="text/javascript"></script>
    <script src="../js/angular-sanitize.min.js" type="text/javascript"></script>
    <script src="../js/angular/app.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/interface.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/inventory.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/chat.js" type="text/javascript"></script>
</head>
<body ng-app="oversight" ng-controller="interfaceController">
    <div class="interface-bottom-panel" ng-show="currentInterface == 'player'">
        <div class="interface-bottom-panel_user-stats">
            <div class="interface-bottom_info">
                <span class="interface-bottom_username">{{username}}</span>
                <span class="interface-bottom-money">
                    <span class="interface-bottom-money_wallet-icon"></span>$324,832
                </span>
            </div>
        </div>
        <ul class="interface-bottom-panel_icons-list">
            <li class="icon-user" data-wenk="Игрок" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">E</span>
            </li>
            <li class="icon-card" data-wenk="Банковский счет" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">B</span>
            </li>
            <li class="icon-car" data-wenk="Автомобили" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">T</span>
            </li>
            <li class="icon-home" data-wenk="Дома" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">H</span>
            </li>
            <li class="icon-bag" data-wenk="Инвентарь" data-wenk-pos="top" ng-class="{'icon-bag-active': inventoryOpened}">
                <span class="interface-bottom-panel_hotkey-icon">I</span>
            </li>
            <li class="icon-friends" data-wenk="Друзья" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">J</span>
            </li>
        </ul>
        <div class="interface-bottom-panel-wrapper">
            <div class="interface-bottom-panel_bar-wrapper">
                <span><i class="interface-bottom_pizza-icon"></i>Голод</span>
                <div class="interface-bottom-panel_hunger-points">
                    <div class="interface-bottom-panel_hunger-points-bar" style="width: {{ hunger }}%"></div>
                </div>
            </div>
            <div class="interface-bottom-panel_bar-wrapper">
                <span><i class="interface-bottom_water-icon"></i>Жажда</span>
                <div class="interface-bottom-panel_thirst-points">
                    <div class="interface-bottom-panel_thirst-points-bar" style="width: {{ thirst }}%"></div>
                </div>
            </div>
        </div>
    </div>

    <div class="interface-bottom-vehicle-data-info">

    </div>

    <div class="interface-bottom-vehicle-panel" ng-show="currentInterface == 'vehicle'">
        <div class="interface-bottom-vehicle-info">
            <div class="interface-bottom-vehicle_model-name">
                <span>{{currentVehicleModelName}}</span>
                <span class="interface-bottom-vehicle_model-class">
                    {{currentVehicleModelClass}}
                </span>
            </div>
            <div class="interface-bottom-mileage">
                <span class="interface-bottom-mileage_number" ng-repeat="i in [0,1,2,3,4,5,6,7]">{{getMileage(i)}}</span>
                <span class="interface-bottom-mileage_number">KM</span>
            </div>
        </div>

        <div class="interface-speedometer">
            <span class="interface-speedometer_speed">{{currentVehicleSpeed}} KM\H</span>
            <div class="interface-speedometer_bar" ng-style="{width: getCurrentVehicleSpeedPercent() + '%'};">
            </div>
        </div>

        <div class="interface-vehicle-fuel_wrapper">
            <i class="vehicle-light-icon icon-gas-off"
               ng-class="{
                'icon-gas-on': currentVehicleEngineState == 'ignition' || currentVehicleFuelPercent < 20,
                'icon-gas-starting': currentVehicleEngineState == 'starting',
                'icon-gas-idle': currentVehicleEngineState == 'on'
               }"></i>
            <div class="interface-vehicle-fuel">
                <div class="interface-vehicle-fuel_bar" ng-class="{'bar-green': currentVehicleFuelPercent >= 40, 'bar-yellow': currentVehicleFuelPercent >= 20 && currentVehicleFuelPercent <= 40, 'bar-red': currentVehicleFuelPercent <= 19}" ng-style="{width: currentVehicleFuelPercent + '%'}"></div>
            </div>
        </div>

        <div class="interface-vehicle-lights">
            <i class="vehicle-light-icon icon-engine-off"
               ng-class="{
                'icon-engine-on': currentVehicleEngineState == 'ignition' || currentVehicleEngineState == 'after_ignition',
                'icon-engine-starting': currentVehicleEngineState == 'starting'
               }"></i>
            <i class="vehicle-light-icon icon-oil-off"
               ng-class="{
                'icon-oil-on': currentVehicleEngineState == 'ignition'
               ,}"></i>
            <i class="vehicle-light-icon icon-battery-off"
               ng-class="{
                'icon-battery-on': currentVehicleEngineState == 'ignition' || currentVehicleEngineState == 'after_ignition',
                'icon-battery-starting': currentVehicleEngineState == 'starting'
               }"></i>
            <i class="vehicle-light-icon icon-cooliant-off"
               ng-class="{
                'icon-cooliant-on': currentVehicleEngineState == 'ignition'
               }"></i>
        </div>
    </div>

    <div class="user--inventory" ng-controller="inventoryController" ng-show="inventoryOpened">
        <div class="user--inventory_header">
            <span class="user--inventory_close-icon" ng-click="toggleInventory()"></span>
            <h3>Ваш инвентарь</h3>
        </div>
        <div class="user--inventory_grid-wrapper">
            <div class="user--inventory_grid">
                <div class="user--inventory_item-wrapper" ng-repeat="item in inventoryItems" ng-class="{'user--inventory_item-wrapper_active': item.active}">
                    <div class="user--inventory_item" ng-show="!item.dummy" ng-mouseover="item.hovered = true" ng-mouseleave="item.hovered = false" ng-click="setItemActive(item)">
                        <img class="user--inventory_item-icon" ng-src="../img/interface/items/{{item.Template.Icon}}.png" />
                        <div class="user--inventory_item-amount-block" ng-show="item.Template.Stackable">
                            <span class="user--inventory_item-amount">{{item.Amount | number}}</span>
                        </div>
                        <div class="user--inventory_item-tooltip_wrapper" ng-show="item.hovered || item.active" ng-click="$event.stopPropagation()">
                            <div class="user--inventory_item-tooltip_arrow"></div>
                            <div class="user--inventory_item-tooltip_pre-header" ng-show="!item.active && item.Template.Interactive">
                                <p>Нажмите ЛКМ чтобы взаимодейстовать с предметом</p>
                            </div>
                            <div class="user--inventory_item-tooltip_inner-wrapper">
                                <div class="user--inventory_item-tooltip">
                                    <div class="user--inventory_item-tooltip_header">
                                        <div class="user--inventory_item-tooltip_header-icon">
                                            <img ng-src="../img/interface/items/{{item.Template.Icon}}.png" />
                                            <div class="user--inventory_item-amount-block" ng-show="item.Template.Stackable">
                                                <span class="user--inventory_item-amount">{{item.Amount | number}}</span>
                                            </div>
                                        </div>
                                        <h1>{{item.Template.DisplayName}}</h1>
                                        <span class="user--inventory_item-tooltip_header_weight">Вес: {{item.Template.Weight}} кг.</span>
                                    </div>
                                    <div class="user--inventory_item-tooltip_description">
                                        <p>{{item.Template.Description}}</p>
                                    </div>
                                    <div class="user--inventory_item-tooltip_attributes">
                                        <div class="user--inventory_item-tooltip_attributes_attribute" ng-repeat="attribute in getItemAttributes(item)">
                                            <img ng-src="../img/interface/items/attributes/{{attribute.Icon}}.png" />
                                            <span class="user--inventory_item-tooltip_attributes_attribute-name">{{attribute.Description}} – </span>
                                            <span class="user--inventory_item-tooltip_attributes_attribute-value">{{attribute.Value}}</span>
                                        </div>
                                    </div>
                                </div>

                                <div class="user--inventory_item-actions_wrapper" ng-show="item.active">
                                    <ul class="user--inventory_item-actions_list">
                                        <li class="user--inventory_item-actions_list_item" data-wenk="Использовать" ng-show="item.Template.SelfUsable">
                                            <button ng-click="useItemSelf(item)">
                                                <img ng-src="../img/interface/use-item.png" />
                                            </button>
                                        </li>

                                        <li class="user--inventory_item-actions_list_item" data-wenk="Передать" ng-show="item.Template.Exchangable">
                                            <button>
                                                <img ng-src="../img/interface/move-stock.png" />
                                            </button>
                                        </li>

                                        <li class="user--inventory_item-actions_list_item" data-wenk="Выкинуть" ng-show="item.Template.Wasteable">
                                            <button>
                                                <img ng-src="../img/interface/waste-item.png" />
                                            </button>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="user--inventory_footer">
            <span class="user--inventory_footer--backpack-icon"></span>
            <div class="user--inventory_footer--weight-bar_wrapper">
                <div class="user--inventory_footer--weight-bar" style="width: 20%;"></div>
            </div>
            <div class="user--inventory_footer-weight-info">
                1.23 кг. / 8 кг.
            </div>
        </div>
    </div>
</body>
<script type="text/javascript">
    var isCtrl = false;
    window.onkeyup = function (e) {
        if (e.which == 17) isCtrl = false;
    };
    window.onkeydown = function (e) {
        console.log(e.which);
        if (e.which == 17) isCtrl = true;
        if (e.which == 67 && isCtrl === true) {
            return false;
        }
    };
</script>
</html>